Bug 867813 - If VM migration fails on source host, then on destination host the destroy VM fails with AttributeError: 'NetworkInterfaceDevice' object has no attribute 'name'
If VM migration fails on source host, then on destination host the destroy VM...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity unspecified
: rc
: ---
Assigned To: Igor Lvovsky
GenadiC
network
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 06:50 EDT by GenadiC
Modified: 2012-12-04 14:13 EST (History)
6 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-39.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:13:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (785.21 KB, application/x-gzip)
2012-10-18 06:50 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-10-18 06:50:01 EDT
Created attachment 629313 [details]
vdsm log

Description of problem:
If VM migration from one host to another fails for some reason on host, then on destination host the destroy VM fails with Attribute error - object has no attribute name


Steps to Reproduce:
1. Create VM on RHEVH with NET_A (not required network)
2. Create VM on RHEL with NET_B (not required network)
3. Perform migration
  
Actual results:
 On the destination VM destroy fails with attribute error

Additional info:
This error happened when performing upgrade of DC from 3.0 to 3.1 and then for some reason VM migration started to happen and failed
Comment 2 Yaniv Kaul 2012-10-18 08:33:40 EDT
Thread-14799::DEBUG::2012-10-16 17:29:20,924::BindingXMLRPC::874::vds::(wrapper) client [10.35.70.2]::call vmDestroy with ('51037cbc-7c54-4b21-9243-f085404a7f53',) {}
Thread-14799::INFO::2012-10-16 17:29:20,924::API::301::vds::(destroy) vmContainerLock acquired by vm 51037cbc-7c54-4b21-9243-f085404a7f53
Thread-14799::DEBUG::2012-10-16 17:29:20,924::libvirtvm::2152::vm.Vm::(destroy) vmId=`51037cbc-7c54-4b21-9243-f085404a7f53`::destroy Called
Thread-14799::ERROR::2012-10-16 17:29:20,925::BindingXMLRPC::892::vds::(wrapper) unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/BindingXMLRPC.py", line 879, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/BindingXMLRPC.py", line 204, in vmDestroy
    return vm.destroy()
  File "/usr/share/vdsm/API.py", line 306, in destroy
    res = v.destroy()
  File "/usr/share/vdsm/libvirtvm.py", line 2157, in destroy
    response = self.releaseVm()
  File "/usr/share/vdsm/libvirtvm.py", line 2095, in releaseVm
    supervdsm.getProxy().unsetPortMirroring(network, nic.name)
AttributeError: 'NetworkInterfaceDevice' object has no attribute 'name'
Comment 3 Igor Lvovsky 2012-10-18 09:45:11 EDT
http://gerrit.ovirt.org/#/c/8660/
Comment 6 GenadiC 2012-11-12 06:40:38 EST
Verified in SI24
The issue didn't happen in SI24
Comment 8 errata-xmlrpc 2012-12-04 14:13:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.